## ?q=aHR0cHM6Ly9naXRodWIuY29tL3RhbGJvaXRvL2JpdGNvaW4vYXJjaGl2ZS9yZWZzL3RhZ3MvdjAuMTAuMHJjMS56aXA

=== depends/Makefile ===
.NOTPARALLEL :

SOURCES_PATH ?= $(BASEDIR)/sources
BASE_CACHE ?= $(BASEDIR)/built
SDK_PATH ?= $(BASEDIR)/SDKs
NO_QT ?=
NO_WALLET ?=
NO_UPNP ?=
USE_LINUX_STATIC_QT5 ?=
FALLBACK_DOWNLOAD_PATH ?= https://bitcoincore.org/depends-sources

BUILD = $(shell ./config.guess)
HOST ?= $(BUILD)
PATCHES_PATH = $(BASEDIR)/patches
BASEDIR = $(CURDIR)
HASH_LENGTH:=11
DOWNLOAD_CONNECT_TIMEOUT:=10
DOWNLOAD_RETRIES:=3

host:=$(BUILD)
ifneq ($(HOST),)
host:=$(HOST)
host_toolchain:=$(HOST)-
endif

ifneq ($(DEBUG),)
release_type=debug
else
release_type=release
endif

base_build_dir=$(BASEDIR)/work/build
base_staging_dir=$(BASEDIR)/work/staging
base_download_dir=$(BASEDIR)/work/download
canonical_host:=$(shell ./config.sub $(HOST))
build:=$(shell ./config.sub $(BUILD))

build_arch =$(firstword $(subst -, ,$(build)))
build_vendor=$(word 2,$(subst -, ,$(build)))
full_build_os:=$(subst $(build_arch)-$(build_vendor)-,,$(build))
build_os:=$(findstring linux,$(full_build_os))
build_os+=$(findstring darwin,$(full_build_os))
build_os:=$(strip $(build_os))
ifeq ($(build_os),)
build_os=$(full_build_os)
endif

host_arch=$(firstword $(subst -, ,$(canonical_host)))
host_vendor=$(word 2,$(subst -, ,$(canonical_host)))
full_host_os:=$(subst $(host_arch)-$(host_vendor)-,,$(canonical_host))
host_os:=$(findstring linux,$(full_host_os))
host_os+=$(findstring darwin,$(full_host_os))
host_os+=$(findstring mingw32,$(full_host_os))
host_os:=$(strip $(host_os))
ifeq ($(host_os),)
host_os=$(full_host_os)
endif

$(host_arch)_$(host_os)_prefix=$(BASEDIR)/$(host)
$(host_arch)_$(host_os)_host=$(host)
host_prefix=$($(host_arch)_$(host_os)_prefix)
build_prefix=$(host_prefix)/native
build_host=$(build)

AT_$(V):=
AT_:=@
AT:=$(AT_$(V))

all: install

include hosts/$(host_os).mk
include hosts/default.mk
include builders/$(build_os).mk
include builders/default.mk
include packages/packages.mk

qt_packages_$(NO_QT) = $(qt_packages) $(qt_$(host_os)_packages)
qt_native_packages_$(NO_QT) = $(qt_native_packages)
wallet_packages_$(NO_WALLET) = $(wallet_packages)
upnp_packages_$(NO_UPNP) = $(upnp_packages)

packages += $($(host_arch)_$(host_os)_packages) $($(host_os)_packages) $(qt_packages_) $(wallet_packages_) $(upnp_packages_)
native_packages += $($(host_arch)_$(host_os)_native_packages) $($(host_os)_native_packages) $(qt_native_packages_)
all_packages = $(packages) $(native_packages)

meta_depends = Makefile funcs.mk builders/default.mk hosts/default.mk hosts/$(host_os).mk builders/$(build_os).mk

$(host_arch)_$(host_os)_native_toolchain?=$($(host_os)_native_toolchain)

include funcs.mk

toolchain_path=$($($(host_arch)_$(host_os)_native_toolchain)_prefixbin)
final_build_id_long+=$(shell $(build_SHA256SUM) config.site.in)
final_build_id+=$(shell echo -n $(final_build_id_long) | $(build_SHA256SUM) | cut -c-$(HASH_LENGTH))
$(host_prefix)/.stamp_$(final_build_id): | $(native_packages) $(packages)
	$(AT)rm -rf $(@D)
	$(AT)mkdir -p $(@D)
	$(AT)echo copying packages: $|
	$(AT)echo to: $(@D)
	$(AT)cd $(@D); $(foreach package,$|, tar xf $($(package)_cached); )
	$(AT)touch $@

$(host_prefix)/share/config.site : config.site.in $(host_prefix)/.stamp_$(final_build_id)
	$(AT)@mkdir -p $(@D)
	$(AT)sed -e 's|@HOST@|$(host)|' \
            -e 's|@CC@|$(toolchain_path)$(host_CC)|' \
            -e 's|@CXX@|$(toolchain_path)$(host_CXX)|' \
            -e 's|@AR@|$(toolchain_path)$(host_AR)|' \
            -e 's|@RANLIB@|$(toolchain_path)$(host_RANLIB)|' \
            -e 's|@NM@|$(toolchain_path)$(host_NM)|' \
            -e 's|@STRIP@|$(toolchain_path)$(host_STRIP)|' \
            -e 's|@build_os@|$(build_os)|' \
            -e 's|@host_os@|$(host_os)|' \
            -e 's|@CFLAGS@|$(strip $(host_CFLAGS) $(host_$(release_type)_CFLAGS))|' \
            -e 's|@CXXFLAGS@|$(strip $(host_CXXFLAGS) $(host_$(release_type)_CXXFLAGS))|' \
            -e 's|@CPPFLAGS@|$(strip $(host_CPPFLAGS) $(host_$(release_type)_CPPFLAGS))|' \
            -e 's|@LDFLAGS@|$(strip $(host_LDFLAGS) $(host_$(release_type)_LDFLAGS))|' \
            -e 's|@no_qt@|$(NO_QT)|' \
            -e 's|@no_wallet@|$(NO_WALLET)|' \
            -e 's|@no_upnp@|$(NO_UPNP)|' \
            -e 's|@debug@|$(DEBUG)|' \
            $< > $@
	$(AT)touch $@

install: $(host_prefix)/share/config.site
download-one: $(all_sources)
download-osx:
	@$(MAKE) -s HOST=x86_64-apple-darwin11 download-one
download-linux:
	@$(MAKE) -s HOST=x86_64-unknown-linux-gnu download-one
download-win:
	@$(MAKE) -s HOST=x86_64-w64-mingw32 download-one
download: download-osx download-linux download-win
.PHONY: install cached download-one download-osx download-linux download-win download

=== contrib/debian/changelog ===
bitcoin (0.9.3-precise1) precise; urgency=medium

  * New upstream releases.

 -- Matt Corallo (BlueMatt) <matt@mattcorallo.com>  Fri, 26 Sep 2014 12:01:00 -0700

bitcoin (0.9.1-precise1) precise; urgency=medium

  * New upstream release.
  * Backport pull #4019

 -- Matt Corallo <matt@bluematt.me>  Sat, 19 Apr 2014 17:29:00 -0400

bitcoin (0.9.0-precise1) precise; urgency=medium

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Thu, 20 Mar 2014 13:10:00 -0400

bitcoin (0.8.6-precise1) precise; urgency=medium

  * New upstream release.
  * Make .desktop paths non-fixed (suggested by prusnak@github)

 -- Matt Corallo <matt@bluematt.me>  Fri, 13 Dec 2013 13:31:00 -0400

bitcoin (0.8.5-precise1) precise; urgency=medium

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Sun, 15 Sep 2013 14:02:00 -0400

bitcoin (0.8.4-precise1) precise; urgency=medium

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Wed, 4 Sep 2013 10:25:00 -0400

bitcoin (0.8.3-natty1) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Wed, 26 Jun 2013 00:18:00 +0100

bitcoin (0.8.2-natty1) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Wed, 29 Mar 2013 23:23:00 +0100

bitcoin (0.8.1-natty3) natty; urgency=low

  * New pixmaps

 -- Jonas Schnelli <jonas.schnelli@include7.ch>  Mon, 13 May 2013 16:14:00 +0100

bitcoin (0.8.1-natty2) natty; urgency=low

  * Remove dumb broken launcher script

 -- Matt Corallo <matt@bluematt.me>  Sun, 24 Mar 2013 20:01:00 -0400

bitcoin (0.8.1-natty1) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Tue, 19 Mar 2013 13:03:00 -0400

bitcoin (0.8.0-natty1) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Sat, 23 Feb 2013 16:01:00 -0500

bitcoin (0.7.2-natty1) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Sat, 15 Dec 2012 10:59:00 -0400

bitcoin (0.7.1-natty1) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Wed, 24 Oct 2012 15:06:00 -0400

bitcoin (0.7.0-natty1) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Mon, 17 Sep 2012 13:45:00 +0200

bitcoin (0.6.3-natty1) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Mon, 25 Jun 2012 23:47:00 +0200

bitcoin (0.6.2-natty1) natty; urgency=low

  * Update package description and launch scripts.

 -- Matt Corallo <matt@bluematt.me>  Sat, 2 Jun 2012 16:41:00 +0200

bitcoin (0.6.2-natty0) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Tue, 8 May 2012 16:27:00 -0500

bitcoin (0.6.1-natty0) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Sun, 6 May 2012 20:09:00 -0500

bitcoin (0.6.0-natty0) natty; urgency=low

  * New upstream release.
  * Add GNOME/KDE support for bitcoin-qt's bitcoin: URI support.
    Thanks to luke-jr for the KDE .protocol file.

 -- Matt Corallo <matt@bluematt.me>  Sat, 31 Mar 2012 15:35:00 -0500

bitcoin (0.5.3-natty1) natty; urgency=low

  * Mark for upload to PPA.

 -- Matt Corallo <matt@bluematt.me>  Wed, 14 Mar 2012 23:06:00 -0400

bitcoin (0.5.3-natty0) natty; urgency=low

  * New upstream release.

 -- Luke Dashjr <luke+bitcoin+deb@dashjr.org>  Tue, 10 Jan 2012 15:57:00 -0500

bitcoin (0.5.2-natty1) natty; urgency=low

  * Remove mentions on anonymity in package descriptions and manpage.
    These should never have been there, bitcoin isnt anonymous without
    a ton of work that virtually no users will ever be willing and
    capable of doing

 -- Matt Corallo <matt@bluematt.me>  Sat, 7 Jan 2012 13:37:00 -0500

bitcoin (0.5.2-natty0) natty; urgency=low

  * New upstream release.

 -- Luke Dashjr <luke+bitcoin+deb@dashjr.org>  Fri, 16 Dec 2011 17:57:00 -0500

bitcoin (0.5.1-natty0) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Fri, 16 Dec 2011 13:27:00 -0500

bitcoin (0.5.0-natty0) natty; urgency=low

  * New upstream release.

 -- Matt Corallo <matt@bluematt.me>  Mon, 21 Nov 2011 11:32:00 -0500

bitcoin (0.5.0~rc7-natty0) natty; urgency=low

  * New upstream release candidate.

 -- Matt Corallo <matt@bluematt.me>  Sun, 20 Nov 2011 17:08:00 -0500

bitcoin (0.5.0~rc3-natty0) natty; urgency=low

  * New upstream release candidate.
  * Don't set rpcpassword for bitcoin-qt.

 -- Matt Corallo <matt@bluematt.me>  Tue, 8 Nov 2011 11:56:00 -0400

bitcoin (0.5.0~rc1-natty1) natty; urgency=low

  * Add test_bitcoin to build test
  * Fix clean
  * Remove uneccessary build-dependancies

 -- Matt Corallo <matt@bluematt.me>  Wed, 26 Oct 2011 14:37:18 -0400

bitcoin (0.5.0~rc1-natty0) natty; urgency=low

  * Mark for natty
  * Fix broken build
  * Fix copyright listing
  * Remove bitcoin: URL handler until bitcoin actually has support for it (Oops)

 -- Matt Corallo <matt@bluematt.me>  Wed, 26 Oct 2011 14:37:18 -0400

bitcoin (0.5.0~rc1-2) experimental; urgency=low

  * Add bitcoin-qt

 -- Matt Corallo <matt@bluematt.me>  Tue, 25 Oct 2011 15:24:18 -0400

bitcoin (0.5.0~rc1-1) experimental; urgency=low

  * New upstream prerelease.
  * Add Github as alternate upstream source in watch file.
  * Stop build-depending on libcrypto++-dev, and drop patch 1000:
    Upstream no longer use crypto++.
  * Drop patch 1003: Upstream builds dynamic by default now.
  * Update copyright file: Drop notes on longer included sources.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Oct 2011 00:16:18 +0200

bitcoin (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * Stop repackaging source tarballs: No DFSG-violating stripping left.
  * Update copyright file:
    + Add Github URL to Source.
  * Drop dpkg-source local-options hint: Declared options are default
    since dpkg-source 1.16.1.
    + Add irc URL to Upstream-Contact.
    + Add comment on Bitcoin Developers to catch-all Files section.


=== contrib/debian/control ===
Source: bitcoin
Section: utils
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders: Micah Anderson <micah@debian.org>
Build-Depends: debhelper,
 devscripts,
 automake,
 libtool,
 bash-completion,
 libboost-system-dev (>> 1.35) | libboost-system1.35-dev,
 libdb4.8++-dev,
 libssl-dev,
 pkg-config,
 libminiupnpc8-dev,
 libboost-filesystem-dev (>> 1.35) | libboost-filesystem1.35-dev,
 libboost-program-options-dev (>> 1.35) | libboost-program-options1.35-dev,
 libboost-thread-dev (>> 1.35) | libboost-thread1.35-dev,
 libboost-test-dev (>> 1.35) | libboost-test1.35-dev,
 qt4-qmake,
 libqt4-dev,
 libqrencode-dev,
 libprotobuf-dev, protobuf-compiler
Standards-Version: 3.9.2
Homepage: http://www.bitcoin.org/
Vcs-Git: git://github.com/bitcoin/bitcoin.git
Vcs-Browser: http://github.com/bitcoin/bitcoin

Package: bitcoind
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: peer-to-peer network based digital currency - daemon
 Bitcoin is a free open source peer-to-peer electronic cash system that
 is completely decentralized, without the need for a central server or
 trusted parties.  Users hold the crypto keys to their own money and
 transact directly with each other, with the help of a P2P network to
 check for double-spending.
 .
 Full transaction history is stored locally at each client.  This
 requires 20+ GB of space, slowly growing.
 .
 This package provides the daemon, bitcoind, and the CLI tool
 bitcoin-cli to interact with the daemon.

Package: bitcoin-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: peer-to-peer network based digital currency - Qt GUI
 Bitcoin is a free open source peer-to-peer electronic cash system that
 is completely decentralized, without the need for a central server or
 trusted parties.  Users hold the crypto keys to their own money and
 transact directly with each other, with the help of a P2P network to
 check for double-spending.
 .
 Full transaction history is stored locally at each client.  This
 requires 20+ GB of space, slowly growing.
 .
 This package provides Bitcoin-Qt, a GUI for Bitcoin based on Qt.
